SignatureMetadata
Keywords: net.corda.core.crypto.SignatureMetadata class
Date: 2023-09-18

net.corda.core.crypto

## Class SignatureMetadata

- net.corda.core.crypto.SignatureMetadata

-     public class SignatureMetadata

  SignatureMeta is required to add extra meta-data to a transaction's signature. It currently supports platformVersion only, but it can be extended to support a universal digital signature model enabling partial signatures and attaching extra information, such as a user's timestamp or other application-specific fields.

- - ### Constructor Detail

    - #### SignatureMetadata

          public SignatureMetadata(int platformVersion,
                                   int schemeNumberID)

      SignatureMeta is required to add extra meta-data to a transaction's signature. It currently supports platformVersion only, but it can be extended to support a universal digital signature model enabling partial signatures and attaching extra information, such as a user's timestamp or other application-specific fields.

      Parameters:
        `platformVersion` - current DLT version.
        `schemeNumberID` - number id of the signature scheme used based on signer's key-pair, see SignatureScheme.schemeNumberID.

  - ### Method Detail

    - #### getPlatformVersion

          public int getPlatformVersion()

      current DLT version.

    - #### getSchemeNumberID

          public int getSchemeNumberID()

      number id of the signature scheme used based on signer

      's key-pair, see SignatureScheme.schemeNumberID.

    - #### component1

          public int component1()

      current DLT version.

    - #### component2

          public int component2()

      number id of the signature scheme used based on signer

      's key-pair, see SignatureScheme.schemeNumberID.

    - #### copy

          @NotNull
          public SignatureMetadata copy(int platformVersion,
                                                 int schemeNumberID)

      SignatureMeta is required to add extra meta-data to a transaction's signature. It currently supports platformVersion only, but it can be extended to support a universal digital signature model enabling partial signatures and attaching extra information, such as a user's timestamp or other application-specific fields.

      Parameters:
        `platformVersion` - current DLT version.
        `schemeNumberID` - number id of the signature scheme used based on signer's key-pair, see SignatureScheme.schemeNumberID.

    - #### toString

          @NotNull
          public java.lang.String toString()

      SignatureMeta is required to add extra meta-data to a transaction's signature. It currently supports platformVersion only, but it can be extended to support a universal digital signature model enabling partial signatures and attaching extra information, such as a user's timestamp or other application-specific fields.

    - #### hashCode

          public int hashCode()

      SignatureMeta is required to add extra meta-data to a transaction's signature. It currently supports platformVersion only, but it can be extended to support a universal digital signature model enabling partial signatures and attaching extra information, such as a user's timestamp or other application-specific fields.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      SignatureMeta is required to add extra meta-data to a transaction's signature. It currently supports platformVersion only, but it can be extended to support a universal digital signature model enabling partial signatures and attaching extra information, such as a user's timestamp or other application-specific fields.